## GstTranscoderSignalAdapter

    GObject
        ╰──GstTranscoderSignalAdapter

Transforms GstTranscoder bus messages to signals from the adapter object.

Since : 1.20

### Class structure

#### GstTranscoderSignalAdapterClass

##### Fields

`parent_class` (GObjectClass) –
No description available

Since : 1.20

### GstTranscoder.TranscoderSignalAdapterClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

Since : 1.20

### GstTranscoder.TranscoderSignalAdapterClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

Since : 1.20

## GstTranscoder.TranscoderSignalAdapter

    GObject.Object
        ╰──GstTranscoder.TranscoderSignalAdapter

Transforms GstTranscoder.Transcoder bus messages to signals from the adapter object.

Since : 1.20

## GstTranscoder.TranscoderSignalAdapter

    GObject.Object
        ╰──GstTranscoder.TranscoderSignalAdapter

Transforms GstTranscoder.Transcoder bus messages to signals from the adapter object.

Since : 1.20

### Methods

#### gst_transcoder_signal_adapter_get_transcoder

    GstTranscoder *
    gst_transcoder_signal_adapter_get_transcoder (GstTranscoderSignalAdapter * self)

Parameters:

`self` –

The GstTranscoderSignalAdapter

Returns ( [transfer: full][nullable]) –

The GstTranscoder self is tracking

Since : 1.20

#### GstTranscoder.TranscoderSignalAdapter.prototype.get_transcoder

    function GstTranscoder.TranscoderSignalAdapter.prototype.get_transcoder(): {
        // javascript wrapper for 'gst_transcoder_signal_adapter_get_transcoder'
    }

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –

The GstTranscoder.TranscoderSignalAdapter

Returns (GstTranscoder.Transcoder) –

The GstTranscoder.Transcoder self is tracking

Since : 1.20

#### GstTranscoder.TranscoderSignalAdapter.get_transcoder

    def GstTranscoder.TranscoderSignalAdapter.get_transcoder (self):
        #python wrapper for 'gst_transcoder_signal_adapter_get_transcoder'

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –

The GstTranscoder.TranscoderSignalAdapter

Returns (GstTranscoder.Transcoder) –

The GstTranscoder.Transcoder self is tracking

Since : 1.20

### Signals

#### done

    done_callback (GstTranscoderSignalAdapter * self,
                   gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### done

    function done_callback(self: GstTranscoder.TranscoderSignalAdapter, user_data: Object): {
        // javascript callback for the 'done' signal
    }

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### done

    def done_callback (self, *user_data):
        #python callback for the 'done' signal

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### duration-changed

    duration_changed_callback (GstTranscoderSignalAdapter * self,
                               guint64 object,
                               gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### duration-changed

    function duration_changed_callback(self: GstTranscoder.TranscoderSignalAdapter, object: Number, user_data: Object): {
        // javascript callback for the 'duration-changed' signal
    }

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### duration-changed

    def duration_changed_callback (self, object, *user_data):
        #python callback for the 'duration-changed' signal

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### error

    error_callback (GstTranscoderSignalAdapter * self,
                    GError * object,
                    GstStructure * p0,
                    gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`p0` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### error

    function error_callback(self: GstTranscoder.TranscoderSignalAdapter, object: GError (not introspectable), p0: Gst.Structure, user_data: Object): {
        // javascript callback for the 'error' signal
    }

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (GError (not introspectable)) –
No description available
`p0` (Gst.Structure) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### error

    def error_callback (self, object, p0, *user_data):
        #python callback for the 'error' signal

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (GError (not introspectable)) –
No description available
`p0` (Gst.Structure) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### position-updated

    position_updated_callback (GstTranscoderSignalAdapter * self,
                               guint64 object,
                               gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### position-updated

    function position_updated_callback(self: GstTranscoder.TranscoderSignalAdapter, object: Number, user_data: Object): {
        // javascript callback for the 'position-updated' signal
    }

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### position-updated

    def position_updated_callback (self, object, *user_data):
        #python callback for the 'position-updated' signal

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### state-changed

    state_changed_callback (GstTranscoderSignalAdapter * self,
                            GstTranscoderState * object,
                            gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### state-changed

    function state_changed_callback(self: GstTranscoder.TranscoderSignalAdapter, object: GstTranscoder.TranscoderState, user_data: Object): {
        // javascript callback for the 'state-changed' signal
    }

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (GstTranscoder.TranscoderState) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### state-changed

    def state_changed_callback (self, object, *user_data):
        #python callback for the 'state-changed' signal

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (GstTranscoder.TranscoderState) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### warning

    warning_callback (GstTranscoderSignalAdapter * self,
                      GError * object,
                      GstStructure * p0,
                      gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`p0` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### warning

    function warning_callback(self: GstTranscoder.TranscoderSignalAdapter, object: GError (not introspectable), p0: Gst.Structure, user_data: Object): {
        // javascript callback for the 'warning' signal
    }

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (GError (not introspectable)) –
No description available
`p0` (Gst.Structure) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### warning

    def warning_callback (self, object, p0, *user_data):
        #python callback for the 'warning' signal

Parameters:

`self` (GstTranscoder.TranscoderSignalAdapter) –
No description available
`object` (GError (not introspectable)) –
No description available
`p0` (Gst.Structure) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

### Properties

#### transcoder

    “transcoder” GstTranscoder *

The GstTranscoder tracked by the adapter.

Flags : Read

Since : 1.20

#### transcoder

    “transcoder” GstTranscoder.Transcoder

The GstTranscoder.Transcoder tracked by the adapter.

Flags : Read

Since : 1.20

#### transcoder

    “self.props.transcoder” GstTranscoder.Transcoder

The GstTranscoder.Transcoder tracked by the adapter.

Flags : Read

Since : 1.20

## Constants

### GST_TYPE_TRANSCODER_SIGNAL_ADAPTER

    #define GST_TYPE_TRANSCODER_SIGNAL_ADAPTER             (gst_transcoder_signal_adapter_get_type ())

Since : 1.20

The results of the search are